For AI agents: the docs index is at https://developers.smarterdrafter.com/llms.txt. Append .md to any documentation page URL to get its markdown version.
Jump to Content
Smarter Drafter API
API Reference
Smarter Drafter API
API Reference
API Reference

Smarter Drafter API

  • Overview
  • MCP Server
  • Data-Driven Automation
  • Matter Record APIs
    • Getting Started with Matter Record
    • Defining Data Structure: Field Aliases
    • Defining Data Structure: Record Types
    • Matter Integration and Access Control
    • Managing Your Data: Records
    • Complete Integration Workflow and Next Steps
  • Power Automate Connector
  • Webhooks
  • Deep Link
  • Users & Groups Provisioning

API Specifications

  • Authentication
  • Versioning
  • Error Codes
  • API Usage Guidelines
  • Answer Formats
  • Value Formats
  • All Resources
  • Folders
    • Gets the folder details by ID.get
    • Gets the library of client folders.get
  • Forms
    • Retrieves a form by ID.get
    • Searches for forms based on the provided filter and pagination parameters.get
    • Retrieves fields by form ID.get
  • Groups
    • Get a group by ID.get
    • Search for groups based on query parameters.get
    • Add a new group.post
    • Updates a group.put
    • Updates the members of a group.patch
    • Delete a group by ID.del
  • Matters
    • Get a matter by ID.get
    • Get a matter by external ID.get
    • Search for matters based on query parameters.get
    • Add a new matters.post
    • Update a matter by ID.put
    • Update the users that have access to a matter.patch
    • Update the groups that limits access to a matter.patch
    • Deprecate a matter.put
  • Records
    • Get a record by ID.get
    • Get a record by external ID.get
    • Search for records based on query parameters.get
    • Add a new records.post
    • Update a record by ID.put
    • Update the record types associate to a record.patch
    • Update the aliases associate to a record.patch
    • Deactivate a record by ID.put
    • Reactivate a record by ID.put
    • Deletes a record by ID.del
  • Field Aliases
    • Get an alias by ID.get
    • Get an alias by name.get
    • Search for aliases based on the query parameters.get
    • Add a new alias.post
    • Update an alias by ID.put
    • Delete an alias by ID.del
  • Record Types
    • Get a record type by ID.get
    • Get a record type by API identifier.get
    • Search for record types based on query parameters.get
    • Add a new record type.post
    • Update a record type by ID.put
    • Deprecate a record type by ID.post
    • Reactivate a record type by ID.post
  • Submissions
    • Get a submission by its IDget
    • Get submission mapping by its IDget
    • Searches for submissions based on the provided query parametersget
    • Download generated documentget
    • Download submission answer fileget
    • Creates a new submission and queue documents for generationpost
    • Submit submission and queue documents for generationput
    • Update answer for a submission and fieldput
    • Deletes a submission by its Iddel
Powered by 

Folders

Folders are used to organise forms

ResourceDescription
GET /Folders/LibraryGets the library of client folders
GET /Folders/:idGets the folder details by ID

Updated over 1 year ago


All Resources
Gets the folder details by ID.
Did this page help you?

Updated over 1 year ago


All Resources
Gets the folder details by ID.
Did this page help you?